Bug 508971 - pitivi RPM doesn't run needed %postinstall scriptlets
pitivi RPM doesn't run needed %postinstall scriptlets
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 13:38 EDT by "FeRD" (Frank Dana)
Modified: 2010-04-29 17:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-29 17:11:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description "FeRD" (Frank Dana) 2009-06-30 13:38:38 EDT
Description of problem:
The pitivi RPM doesn't include any of the necessary %postinstall scriptlets to update the desktop or MIME databases, after installing related files.

Version-Release number of selected component (if applicable):
pitivi-0.13.1-1.2.fc11.noarch

How reproducible:
Install pitivi from RPM package (via any method)

Steps to Reproduce:
1.
2.
3.
  
Actual results:
File associations are not activated, .xptv files are still treated as text/plain

Expected results:
.xptv files are associated with the pitivi application

Additional info:
Per http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-database the pitivi RPM should include both of the following scriptlet sets:

----------------
%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :
----------------
(due to installing a desktop entry with a MimeType= key)

----------------
%post
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
---------------
(due to installing %{_datadir}/mime/packages/pitivi.xml)
Comment 1 Bug Zapper 2010-04-27 11:22:46 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 "FeRD" (Frank Dana) 2010-04-29 17:11:10 EDT
With the currently-installed pitivi on my F12 system:

[---@---]% rpm -q pitivi
pitivi-0.13.3-3.fc12.noarch
[---@---]% rpm -q --scripts pitivi
[---@---]% 

Against the latest rawhide build:

[---@---]% rpm -q --scripts -p ./pitivi-0.13.4-2.fc14.noarch.rpm
postinstall scriptlet (using /bin/sh):
update-desktop-database &> /dev/null || :
update-mime-database /usr/share/mime &> /dev/null || :
postuninstall scriptlet (using /bin/sh):
update-desktop-database &> /dev/null || :
update-mime-database /usr/share/mime &> /dev/null || :

...So, this is fixed in the rawhide package, and presumably will be fixed in any new release builds. Closing, with thanks!

Note You need to log in before you can comment on or make changes to this bug.